# class NetworkNode

*Defined at src/network/network_node.h#12*

Inherits from Node



## Functions

### NetworkNode

*public void NetworkNode(Simulator *const sim, NodeId id, NodeType type)*

### recv_pkt

*public void recv_pkt(Packet & pkt, PortId ingress)*

### ~NetworkNode

*public void ~NetworkNode()*

*Defined at src/network/network_node.h#17*



